Package Details: scons2 3.1.2-5

Git Clone URL: https://aur.archlinux.org/scons2.git (read-only, click to copy)
Package Base: scons2
Description: Extensible Python-based build utility (Python2 version)
Upstream URL: https://scons.org
Licenses: MIT
Conflicts: python2-scons
Provides: python2-scons
Submitter: sbmomeni
Maintainer: sbmomeni
Last Packager: sbmomeni
Votes: 1
Popularity: 0.014500
First Submitted: 2022-02-04 18:31 (UTC)
Last Updated: 2022-08-25 14:55 (UTC)

Dependencies (5)

Required by (9)

Sources (1)

Latest Comments

brianbrodsky12 commented on 2022-08-25 17:29 (UTC)

@sbmomeni thank you. That worked. Now having problem upgrading bombono-dvd

sbmomeni commented on 2022-08-25 14:56 (UTC)

@brianbrodsky12 Updated.

brianbrodsky12 commented on 2022-08-11 11:09 (UTC)

I am unable to install. Need for bombono-dvd:

[brian@brian-elitebook-8770w ~]$ yay -S scons2 :: Checking for conflicts... :: Checking for inner conflicts... [Aur:1] scons2-3.1.2-4

1 scons2 (Build Files Exist) ==> Packages to cleanBuild? ==> [N]one [A]ll [Ab]ort [I]nstalled [No]tInstalled or (1 2 3, 1-3, ^4) ==> A :: Deleting (1/1): /home/brian/.cache/yay/scons2 :: (1/1) Downloaded PKGBUILD: scons2 1 scons2 (Build Files Exist) ==> Diffs to show? ==> [N]one [A]ll [Ab]ort [I]nstalled [No]tInstalled or (1 2 3, 1-3, ^4) ==> :: (1/1) Parsing SRCINFO: scons2 ==> Making package: scons2 3.1.2-4 (Thu 11 Aug 2022 07:05:20 AM EDT) ==> Retrieving sources... -> Downloading scons-3.1.2.tar.gz... % Total % Received % Xferd Average Speed Time Time Time Current Dload Upload Total Spent Left Speed 0 0 0 0 0 0 0 0 --:--:-- --:--:-- --:--:-- 0 100 5405k 0 5405k 0 0 1487k 0 --:--:-- 0:00:03 --:--:-- 1817k ==> Validating source files with sha512sums... scons-3.1.2.tar.gz ... FAILED ==> ERROR: One or more files did not pass the validity check! -> error downloading sources: scons2 context: exit status 1

==> Making package: scons2 3.1.2-4 (Thu 11 Aug 2022 07:05:24 AM EDT) ==> Checking runtime dependencies... ==> Checking buildtime dependencies... ==> Retrieving sources... -> Found scons-3.1.2.tar.gz ==> Validating source files with sha512sums... scons-3.1.2.tar.gz ... FAILED ==> ERROR: One or more files did not pass the validity check! -> error making: scons2 [brian@brian-elitebook-8770w ~]$

sbmomeni commented on 2022-06-30 14:40 (UTC)

@MarsSeed this package is a lite version of python2-scons and there is no independent package for the documentation part yet, hence, I think the python2-scons should be preserved as the main package (at least until a "scons2-doc" package is contributed).

MarsSeed commented on 2022-06-30 11:29 (UTC)

Oh, btw, do you still need makedepends like texlive-bin or texlive-latexextra, used for documentation creation?

Also, graphviz is not mentioned anywhere in source code (and I would think this also could have been used only for documentation-related graph preparation).

And ghostscript is only mentioned as a 'testing package' - though it is a PDF creation utility so I would again think: documentation-related.

Thanks for maintaining this package! Cheers.

MarsSeed commented on 2022-06-30 10:50 (UTC) (edited on 2022-06-30 11:22 (UTC) by MarsSeed)

Thanks for the fix.

There is a duplicate of this package, python2-scons. What would you consider to be the best way to address that?

It seems that package's maintainer is making commendable efforts, just like you, to keep their packages in working order. Though they have remarked recently that they are busy helping refugees from the Ukrainian crisis so they might not be able to respond quickly.

As for now, your package here is in working order, but python2-scons is unfortunately not.

I would think at this point it would be better to merge that package to this one.

Would you consider that appropriate?

(I am asking basically the same question from @bartus, the other package's maintainer.)